import { LitElement } from 'lit';
/**
 * A breadcrumb-item to be used with the breadcrumbs component.
 *  @element uui-breadcrumb-item
 *  @slot - to show display an element inside the breadcrumb
 *  @csspart separator - change the content of the after element of this part to change the separator
 */
export declare class UUIBreadcrumbItemElement extends LitElement {
    static styles: import("lit").CSSResult[];
    connectedCallback(): void;
    /**
     * Specifies the link href.
     * @type {String}
     * @default '#'
     */
    href: string;
    /**
     * Specifies if the element is the last item in the uui-breadcrumbs. Last item will not render as a link
     * @type {Boolean}
     * @attr last-item
     * @default 'false'
     */
    lastItem: boolean;
    renderLinkAndSeparator(): import("lit-html").TemplateResult<1>;
    renderCurrent(): import("lit-html").TemplateResult<1>;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'uui-breadcrumb-item': UUIBreadcrumbItemElement;
    }
}
